Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 653014

Summary: games-action/dxx-rebirth-0.59.100 fails to compile with dev-games/physfs-3.0.1-r1
Product: Gentoo Linux Reporter: mael <mae.lippert>
Component: Current packagesAssignee: Gentoo Games <games>
Status: RESOLVED FIXED    
Severity: normal CC: jstein, totktonada.ru
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Attachments: build.log
"emerge --info dxx-rebirth" output

Description mael 2018-04-12 11:51:30 UTC
dxx-rebirth-0.59.100 fails to compile with dev-games/physfs-3.0.1-r1. some of my games need physfs-3.x so it should be fixed ;-)
Comment 1 Jonas Stein gentoo-dev 2018-04-12 12:55:15 UTC
Thank you for the report. Please recompile and *attach* the logfiles and 
paste the emerge info as described on
https://wiki.gentoo.org/wiki/Attach_the_logs_to_the_bug_ticket
Please reopen this ticket (Status:unconfirmed) afterwards.
Comment 2 mael 2018-04-12 16:06:57 UTC
Created attachment 527174 [details]
build.log
Comment 3 mael 2018-04-12 16:08:17 UTC
Created attachment 527176 [details]
"emerge --info dxx-rebirth" output
Comment 4 mael 2018-04-12 16:09:54 UTC
it compiles even with latest gcc 7.3.x but only with physfs 2.x not with the newer 3.x
Comment 5 mael 2019-01-17 17:23:46 UTC
hmmm, 9 months and same problem still persisting... is there anything i can do to help?

by the way: same problem compiling dxx-rebirth with gcc-8.2.x and its physfs 3.x dependency

so an allstar legendary 3d game lays still barren... my old lan-party buddies are  crying
Comment 6 Alexander Turenko 2019-01-17 18:28:55 UTC
Looks similar to https://github.com/dxx-rebirth/dxx-rebirth/issues/352

It was fixed in the next release: https://github.com/dxx-rebirth/dxx-rebirth/releases/tag/0.60.0-beta2 . It seems it worth to try to compile 0.60.0-beta2 and add the new ebuild. 0.59.100 can be easily patched, I think.
Comment 7 James Le Cuirot gentoo-dev 2019-01-17 22:51:17 UTC
I tried to bump to 0.60.0_beta2 just now but it's been a little tricky and needs further patching. There's been a lot of commits in the past few weeks, I wonder if they're gearing up for another release soon.
Comment 8 Larry the Git Cow gentoo-dev 2019-05-08 17:04:39 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4d96b15775c4144cec3224c8913fac01bf6bd003

commit 4d96b15775c4144cec3224c8913fac01bf6bd003
Author:     Andreas Sturmlechner <asturm@gentoo.org>
AuthorDate: 2019-05-05 15:12:36 +0000
Commit:     Andreas Sturmlechner <asturm@gentoo.org>
CommitDate: 2019-05-08 16:59:36 +0000

    games-action/dxx-rebirth: Fix build against physfs-3
    
    Closes: https://bugs.gentoo.org/653014
    Package-Manager: Portage-2.3.66, Repoman-2.3.12
    Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>

 .../dxx-rebirth/dxx-rebirth-0.59.100.ebuild        | 11 ++++----
 ...-rebirth-0.59.100-physfs-3-no-deprecation.patch | 30 ++++++++++++++++++++++
 2 files changed, 36 insertions(+), 5 deletions(-)